Bug 110649 - please provide an xemacs rpm with fewer dependencies
please provide an xemacs rpm with fewer dependencies
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xemacs (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-21 20:09 EST by Jamie Zawinski
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-13 11:31:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jamie Zawinski 2003-11-21 20:09:33 EST
The XEmacs RPM you provide contains dependencies on many packages that
I don't need.  I understand that some people need all of these
features, specifically the Japanese-language libraries; however, I am
not now Japanese nor do I ever plan on being Japanese, so I would
prefer that the "Canna" and related libraries not be taking up space
on my system.  XEmacs is the only program that depends on them.

So I wish you would provide a second RPM, say "xemacs-lite", for those
of us who just want the editor.

I think xemacs-lite should omit dependence on the following packages
that your xemacs RPM now depends on:

    FreeWnn-libs    -- input-method stuff, I gather
    Canna-libs
    Canna

    apel-xemacs     -- dunno what this is, but I sure don't need it

    libpng          -- emacs is not my web browser
    libjpeg
    libtiff

    openldap        -- nor is it my, uh, whatever-these-are-for
    postgresql-libs

    openmotif       -- perhaps you should build --with-gtk instead?
                       xemacs is the only program that uses this.

xemacs-21.4.12-6
Red Hat Linux release 9 (Shrike)
Linux 2.4.20-8smp i686
Comment 1 Jens Petersen 2003-12-27 23:08:16 EST
>    FreeWnn-libs    -- input-method stuff, I gather
>    Canna-libs

Yep for Japanese.  They're not terribly big, but I see what
you're saying.

>    Canna

This is gone.

>    apel-xemacs     -- dunno what this is, but I sure don't need it

apel is actually part of xemacs-sumo, but we choose to maintain it
separately.

>    libpng          -- emacs is not my web browser
>    libjpeg
>    libtiff

These are actually pretty useful for viewing images from
xemacs.  Eg without libpng you won't get the pretty XEmacs
splash screen appearing... ;)

>    openldap        -- nor is it my, uh, whatever-these-are-for
>    postgresql-libs

I removed these for now in 21.4.14-6.

>    openmotif       -- perhaps you should build --with-gtk instead?

The current dependency is Xaw3d.  I would like to move to gtk+ but
the gtk+ code is still beta quality at best I'm afraid (bug 112682).
Comment 2 Jamie Zawinski 2003-12-27 23:45:51 EST
> These are actually pretty useful for viewing images from xemacs.

Yeah, but I never do that.  The typical situation here is that I have
a server machine, I install xemacs just so that I can do basic remote
editing, and I have to spend time chasing down a bunch of dependencies
on JPEG and PNG and stuff just to get to a point where I can edit text
files in comfort :-(

Thanks!
Comment 3 Jens Petersen 2004-04-06 11:47:15 EDT
xemacs-21.4.15-4 provides a xemacs-nox package like the one
I recently also added for emacs.
Comment 4 Ville Skyttä 2004-04-08 15:45:52 EDT
The 21.4.15-4 -nox package depends on xemacs-common, which has some X
library dependencies... (at least if rebuilt on RH9 or FC1) so the
-nox name is a bit misleading ;)
Comment 5 Jens Petersen 2004-04-08 21:12:26 EDT
Thanks, Ville, well spotted. :)
Moving gnuclient and gnuserv from -common into xemacs in 21.4.15-5.

Note You need to log in before you can comment on or make changes to this bug.